searchNodes=[{"doc":"Provides css parsing in Elixir. CssParser was inspired by css.js (a lightweight, battle tested, fast, css parser in JavaScript). More information can be found at https://github.com/jotform/css.js. Adding CssParser To add CssParser to an application, add it to deps in the mix.exs file: defp deps do [ { :css_parser , &quot;&gt;= 0.1.0&quot; } ] end Usage You can use CssParser either on a command line or a module. On command line iex&gt; CssParser . parse ( &quot;h4, h3 {color: blue; font-size: 20px;}&quot; ) [ %{ rules : &quot;color: blue; font-size: 20px;&quot; , selectors : &quot;h4, h3&quot; , type : &quot;elements&quot; } ] You can also parse css from a file as follows: iex&gt; CssParser . parse ( &quot;/path/to/file.css&quot; ) In a module CssParser can be alias ed or import ed in a module: defmodule MyMod do import CssParser def my_css_parser ( css_string ) do # use the imported `parse` function parse ( css_string ) end end Recommendation Enusure your css is valid to get valid results. Garbage in (maybe) garbage out. Kindly suggest improvements.","ref":"CssParser.html","title":"CssParser","type":"module"},{"doc":"Parses a css string to produce selectors, rules/descriptors and types. It first tries to remove css comments that might be in the css string. Examples iex&gt; CssParser . parse ( &quot;h4, h3 {color: blue; font-size: 20px;}&quot; ) [ %{ rules : &quot;color: blue; font-size: 20px;&quot; , selectors : &quot;h4, h3&quot; , type : &quot;elements&quot; } ] You can also parse css from a file as follows to get a string: iex&gt; CssParser . parse ( &quot;/path/to/css/file.css&quot; ) In case the file path is invalid you'll get a relevant message such as No such file or directory .","ref":"CssParser.html#parse/1","title":"CssParser.parse/1","type":"function"},{"doc":"Converts a parsed css to binary After running: iex&gt; parsed = CssParser . parse ( &quot;h4, h3 {color: blue; font-size: 20px;}&quot; ) You can then get a (formatted) string as follows: iex&gt; CssParser . to_binary ( parsed ) &quot;h4, h3 { color: blue; font-size: 20px; }&quot; The function is especially useful if you need to modify the parsed css structure and then get back a binary.","ref":"CssParser.html#to_binary/1","title":"CssParser.to_binary/1","type":"function"},{"doc":"Caching for parsed css","ref":"CssParser.Cache.html","title":"CssParser.Cache","type":"module"},{"doc":"Get previously parsed data using a hash of the css string","ref":"CssParser.Cache.html#get/1","title":"CssParser.Cache.get/1","type":"function"},{"doc":"Create an MD5 hash for indexing parsed data","ref":"CssParser.Cache.html#hash/1","title":"CssParser.Cache.hash/1","type":"function"},{"doc":"Insert the parsed css into ets cache using hash key of the css string Options returning - when set to true it returns the inserted data, otherwise returns true","ref":"CssParser.Cache.html#save/3","title":"CssParser.Cache.save/3","type":"function"},{"doc":"File reading and formating helper for the css parser.","ref":"CssParser.File.html","title":"CssParser.File","type":"module"},{"doc":"Formats reasons from reading a css file","ref":"CssParser.File.html#format/1","title":"CssParser.File.format/1","type":"function"},{"doc":"Checks whether a given string is a file path","ref":"CssParser.File.html#is_file?/1","title":"CssParser.File.is_file?/1","type":"function"}]